body {
    font-family: "ryo-gothic-plusn", sans-serif;
    line-height: 1.5;
    font-size: 16px;
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


a {
    text-decoration: none;
}

ul {
    list-style: none;
}

ul li {
    margin-top: 5px;
}

ul li::before {
    content: "・";
    margin-right: 5px;
}

h1 {
    font-size: 24px;
    font-weight: bold;
}

h2 {
    font-size: 36px;
    font-weight: bold;
}

h3 {
    font-size: 18px;
    font-weight: bold;
}

p {
    font-size: 16px;
}

header {
    text-align: center;
    margin: 0 auto;
    background: #ffe148;
}


.header-top {
    background-color: #eacf45;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    font-size: 11px;
}

.header-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    max-width: 900px;
    margin: 0 auto;
}

.header-container h1 {
    font-size: 60px;
    font-weight: bold;
    line-height: 1.2;
    margin-bottom: 20px;
}

.header-container {
    width: 50%;
}

.header-btn {
    display: inline-flex; /* アイコンを追加するためにflexを使用 */
    align-items: center; /* アイコンとテキストを中央揃え */
    justify-content: center;
    background-color: transparent;
    color: #222222;
    padding: 10px 20px;
    border-radius: 5px;
    border: 3px solid #222222;
    font-weight: bold;
    max-width: 300px;
    margin: 0 auto;
    text-decoration: none; /* リンクの下線を削除 */
}

.header-btn i {
    margin-left: 10px; /* アイコンとテキストの間にスペースを追加 */
}

.header-img {
    width: 50%;
} 

.header-img img {
    width: 100%;
    max-width: 200px;
}

.header-bottom {
    background-color: #eeeeee;
    color: #222222;
    text-align: center;
    padding: 10px 20px;
}

@media (max-width: 768px) {

    .header-flex {
        flex-direction: column-reverse;
    }

    .header-container h1 {
        font-size: 24px;
    }

    .header-container {
        width: 100%;
    }

    .header-img img {
        max-width: 110px;
    }
}


main {
    max-width: 900px;
    margin: 0 auto;
    padding: 20px;
}

main h2 {
    font-size: 36px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 20px;
}

.main-wrapper {

}

.main-container {
    margin-bottom: 120px;
}

.overview-table {
    width: 100%;
    border-collapse: collapse;
    border: 1px solid #222222;
}

.overview-table th,
.overview-table td {
    padding: 20px;
    font-size: 14px;
}

.overview-table th {
    background-color: #EEEEEE;
    color: #222222;
    border: 1px solid #222222;
}   

.overview-table td {
    border: 1px solid #222222;
}


.support-text {
    font-size: 12px;
}

@media (max-width: 768px) {

    .main-container {
        margin-bottom: 70px;
    }

    main h2 {
        font-size: 21px;
    }

    .overview-table th,
    .overview-table td {
        font-size: 12px;
        padding: 10px;
    }

    .support-text {
        font-size: 10px;
    }
}





table.status {
    border-collapse: collapse;
    margin: 0 auto;
    padding: 0;
    width: 100%;
    table-layout: fixed;
}

table.status thead th {
    padding: 1em 0.8em;
    border-right: 5px solid #fff;
    font-size: 0.75em;
}

table.status tr {
    background-color: #fff;
    padding: 0.35em;
}

table.status tr:nth-child(even) {
    background-color: #f9f9f9;
}

table.status td {
    padding: 0.7em;
    text-align: center;
    font-size: 14px;
}

table.status th {
    font-size: 14px;
}

/* アイコンスタイル */
table.status i {
    font-size: 20px;
}

/* プラン1 */
table.status .plan1 {
    background: #03A9F4;
}

table.status .plan1_i {
    color: #03A9F4;
    text-align: center;
}

/* プラン2 */
table.status .plan2 {
    background: #FFD43B;
}

table.status .plan2_i {
    color: #FFD43B;
    text-align: center;
}


/* 価格表示 */
table.status .price {
    color: #fff;
    font-weight: bold;
    font-size: 18px;
}

table.status .price span {
    font-size: 0.6em;
}

/* ボタンスタイル */
table.status .btn {
    background: #fff;
    color: #000;
    padding: 5px;
    border-radius: 5px;
    display: block;
    text-decoration: none;
    font-size: 12px;
}



@media (max-width: 768px) {
  
    table.status .price {
        color: #fff;
        font-weight: bold;
        font-size: 14px;
    }

    table.status td {
        font-size: 12px;
    }
    
    table.status th {
        font-size: 12px;
    }
    
}



table.incentive-table {
    width: 100%;
    border-collapse: collapse;
    border: 1px solid #222222;
} 

table.incentive-table th,
table.incentive-table td {
    padding: 10px;
    font-size: 14px;
}

table.incentive-table th {
    background-color: #EEEEEE;
    color: #222222;
    border: 1px solid #222222;
}

table.incentive-table td {
    border: 1px solid #222222;
}





.support-flow {
    display: flex;
    flex-direction: row; /* 変更: flex-directionをrowに設定 */
    flex-wrap: wrap; /* 追加: アイテムを折り返す */
    gap: 15px;
    margin: 20px auto;
}

.support-flow-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: calc(50% - 10px);
    background-color: #ffffff;
    color: #222222;
    padding: 30px 15px;
    border-radius: 5px;
    font-size: 18px;
    font-weight: bold;
    text-align: center;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
}

.support-flow-item span {
    font-size: 12px;
    display: inline-block;
    margin: 0 auto;
    text-align: center;
    border: 1px solid #222222;
    border-radius: 100vh;
    padding: 5px 10px;
    margin-bottom: 10px;
}

@media (max-width: 768px) {

    .support-flow {
        gap: 10px;
        flex-direction: row; /* 変更: flex-directionをrowに設定 */
        flex-wrap: wrap; /* 追加: アイテムを折り返す */
    }

    .support-flow-item {
        font-size: 13px;
        width: calc(50% - 10px);
    }
}



.form-container {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
    max-width: 900px;
    width: 100%;
}

.register-form {
    display: flex;
    flex-direction: column;
}

.register-form h2 {
    text-align: center;
    margin-bottom: 20px;
    color: #333;
}

.register-form-item {
    margin-bottom: 15px;
}

.register-form-item label {
    display: block;
    margin-bottom: 5px;
    color: #222222;
}

.register-form-item .required {
    color: #FFFFFF;
    font-weight: bold;
    margin-right: 5px;
    background-color: #d9534f;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 11px;
}

.register-form-item .optional {
    color: #FFFFFF;
    font-weight: bold;
    margin-right: 5px;
    background-color: #9a9a9a;
    padding: 5px 10px;
    border-radius: 3px;
    font-size: 11px;
}

.register-form-item input,
.register-form-item textarea,
.register-form-item select {
    width: 100%;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    font-size: 14px;
}

.register-form-item textarea {
    resize: vertical;
    min-height: 100px;
}

.register-form-item input[type="checkbox"] {
    width: auto;
    margin-right: 5px;
    transform: scale(1.5); /* チェックボックスを大きくする */
    cursor: pointer; /* カーソルをポインターに変更 */
}

.register-form-item button {
    width: 100%;
    padding: 10px;
    background-color: #007bff;
    color: #ffffff;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.register-form-item button:hover {
    background-color: #0056b3;
}

.agree-button {
    background-color: #797979;
    color: #ffffff;
    border: none;
    border-radius: 5px;
    font-size: 13px;
    padding: 5px 15px;
    margin-left: 10px;
}


form h3 {
    margin-bottom: 15px;
    margin-top: 25px;
    border-bottom: 1px solid #dddddd;
}


/* モーダルのスタイル */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
    padding-top: 60px;
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 100%;
    max-width: 500px;
    border-radius: 10px;
    font-size: 12px;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}